part of 'user_bloc.dart';

abstract class UserEvent extends Equatable {
  @override
  List<Object> get props => [];
}

class GetApkVersion extends UserEvent {
  GetApkVersion();
  @override
  List<Object> get props => [];
}

class UserLogin extends UserEvent {
  final String? username;
  final String? password;
  UserLogin({this.username, this.password});
  @override
  List<Object> get props => [username!, password!];
}

class LoadLoggedInUser extends UserEvent {
  LoadLoggedInUser();
}

class GetUuid extends UserEvent {
  GetUuid();
}


class LoadVersion extends UserEvent {}

class UuidLogin extends UserEvent {
  final String? uuid;
  final String? password;
  UuidLogin({this.uuid, this.password});
  @override
  List<Object> get props => [uuid!, password!];
}
